Open source implementation of the Secure Socket Layer (SSL) and Transport Layer Security (TLS) protocols

learn more… | top users | synonyms

1
vote
2answers
3k views

Bind9 - openssl problem

when I try to start bind9; simply fail because of chroot & openssl /etc/init.d/bind9 start log messages; Feb 17 08:26:27 ISTVS2024 named[2440]: initializing DST: openssl failure Feb 17 ...
0
votes
2answers
15 views

Created a new OpenSSL key and I don't know where my CSR file is?

Still learning a lot about Ubuntu and server management. I need to generate a new SSL certificate and I have followed a tutorial on how to create the CSR file. I ran the following command: openssl ...
0
votes
2answers
1k views

ldap_bind: Confidentiality required (13)

I want to configure ldap with ssl so I used openssl for certificate and when I enable olcSecurity tls=1 in /etc/ldap/slapd.d/cn=config.ldif and now when I try to use ldapsearch or try to login it ...
0
votes
2answers
103 views

How do we test after upgrading to 1.0.1-4ubuntu5.12 (any possible testing commands to know the configuration works after upgrade?)?

How do we test after upgrading to 1.0.1-4ubuntu5.12 (any possible testing commands to know the configuration is working right after upgrade)? Also note i had to reboot server after reboot: when ...
2
votes
1answer
598 views

Curl requiring ciphers to be specified

I am trying to run this command: curl https://api-3t.sandbox.paypal.com/nvp On my ubuntu machine, it failes with the following error: curl: (35) error:14077410:SSL ...
1
vote
1answer
611 views

pip raises ImportError: cannot import name HTTPSHandler

After installing the python-pip package in Ubuntu 14.04.1 I get: $ pip Traceback (most recent call last): File "/usr/bin/pip", line 9, in <module> load_entry_point('pip==1.5.4', ...
1
vote
1answer
446 views

Ubuntu 12.04 LTS, openssl 1.0.1-4ubuntu5.16 and CVE-2014-0224

I've installed openssl 1.0.1-4ubuntu5.16 on my Ubuntu 12.04 LTS and restarted nginx. I still receive the warning from https://www.ssllabs.com/ssltest Experimental: This server is vulnerable to the ...
1
vote
1answer
596 views

Openssl is either not installed properly or link to it is not working

Typing openssl version comes up with the following: The program 'openssl' is currently not installed. You can install it by typing: sudo apt-get install openssl Typing sudo apt-get install openssl ...
0
votes
1answer
37 views

Everything uninstalled on ubuntu 14.10

In process of downgrading openssl, trying to first remove its current version I did sudo apt-get purge openssl. Now it has uninstalled EVERYTIHING ON MY SYSTEM! openssl, octave..etc and I cant even ...
0
votes
1answer
249 views

SNI not working ubuntu 14.04, multiple virtual host SSL on same IP

ubuntu 14.04 standard LAMP install. on single IP, I am trying to run two websites using SSL with SNI. I have two diff certs and they are being applied correctly. My issue is redirection from HTTP to ...
0
votes
1answer
53 views

Ubuntu 14.04LTS How to generate an a Windows Azure Compatible .cer key

How can I generate a .cer public key certificate file using ubuntu so that I can upload it onto Azure VPN management portal since it doesn't allow any other formats?
0
votes
1answer
245 views

Ldap with ssl server configuration in ubuntu 12.04 server

I have successfully installed ldap server on Ubuntu 12.04 and other Ubuntu client can authenticate successfully but I want to secure ldap client server communication with the help of ssl I searched ...
0
votes
1answer
1k views

OpenSSL not picking up CAs in certs folder by default

On Ubuntu 12.04 LTS, I am getting error for certificate validation error if the CApath is not explicitly set Tried several solution. But nothing works. It is causing so much of issue to install new ...
0
votes
1answer
402 views

Getting OpenSSL aes output in hex format

I am trying to use openssl's aes implementation. The encryption and decryption is working fine but when I compare the ciphertext to an online implementation they don't match. openssl aes-256-cbc -a ...
0
votes
1answer
1k views

Setting up multiple SSL certificates on apache2 VirtualHost(s) - 14.04?

I am using apache2's VirtualHost feature on my Ubuntu 14.04 VPS to host two websites and a subdomain, for the conversation let's call them example1.com, example2.com and srv.example1.com. I am trying ...
0
votes
1answer
122 views

Enabling SSL on Squid

I installed Squid server and I am trying to secure it. In many searches, I see that is possible to enable SSL for squid. Is there any security benefits for squid server to enable SSL on it?
0
votes
1answer
311 views

Problems upgrading openssl to fix heartbleed - please advise

I'm trying to upgrade openssl but hit the following issue - please could you offer some advice on what is wrong here ? # sudo apt-get install openssl libssl1.0.0 Reading package lists... Done ...
0
votes
1answer
2k views

Compiling cowpatty on Ubuntu 13.10 64bit fails

So, I downloaded cowpatty from their site[1] and I am trying to compile it. However, there is an error that prevents the make-process. root@phil-laptop:/home/phil/wifite-2.0r85/cowpatty-4.6# make cc ...
0
votes
1answer
287 views

Accept SSL cert for wrong domain

A site has recycled their SSL cert from another site which is causing me errors on the command line (wget, etc). They have 2 certs on different parts of the site both issued by the same authority ...
2
votes
0answers
4k views

Problems with OpenSSL-Heartbleed in Ubuntu12.04LTS

Since I have not enough reputation to comment an existing Answer, I create this new question. I have a vServer with Ubuntu 12.04LTS. Because of the Heartbleed-Bug in OpenSSL1.0.1 I upgraded all ...
2
votes
0answers
578 views

Python requests SSL version

I am using the python requests module on Ubuntu 13.04. I keep getting the error: requests.exceptions.SSLError: [Errno 1] _ssl.c:504: error:14077410:SSL routines:SSL23_GET_SERVER_HELLO:sslv3 alert ...
1
vote
0answers
44 views

Rebuild OpenSSL with -DPURIFY

I'm trying to rebuild OpenSSL according to these instructions. I'm having a problem with the very first line: sudo apt-get build-dep libssl-dev This response is given: Reading package lists... ...
1
vote
0answers
144 views

Using hardware Encryption instead of SSL

I am using Freescale iMX6 security processor's CAAM for encryption and decryption of data. But how do I make my system use the hardware encryption instead of software? Do I have to make changes to ...
1
vote
0answers
426 views

Verifying certificates signed by intermediate CA

I am trying to figure out how to use OpenSSL to verify a certificate that has been signed by an intermediate CA which I have signed with my root CA. I tried concatenating the certificate with the ...
1
vote
0answers
337 views

ProFTPD with OpenSSL error, help

I'm receiving this error message while trying to start Proftpd server on a 12.04 Ubuntu server: <"my_chosen_server_name"> proftpd[5897]: mod_tls/2.4.3: compiled using OpenSSL version 'OpenSSL ...
1
vote
0answers
245 views

Error 255 when installing openSSL from source

I need to build openssl from source because it's needed to build a mysql driver for android for Qt but when I do "make install" I get the following error: cms.pod around line 457: Expected text after ...
1
vote
0answers
910 views

Openssl - SHA256 (Base-64) using command line

I have to add hash total of a string to a file. Hash total is SHA-256 (Base-64). String stream would be as below: Transaction Type|External System Reference Number|Original External System ...
1
vote
0answers
685 views

Cannot install intermediate SSL certificate

So i've got this LAMP server running on ubuntu 12.04 with an SSL certificate installed. I've got the certificate and the .ca-bundle files in /etc/ssl/certs. The host file located in ...
0
votes
0answers
22 views

What browser I can install on my Ubuntu 15.04 64bit that has ChaCha20 and Poly1305 support?

I already tried Google Chrome Dev Channel version 44 but still not recognizing ChaCha20 and Poly1305. Same as Firefox Next Channel, not supporting.
0
votes
0answers
19 views

Apache does not start if SSL site is enabled

Ubuntu 14.04 Apache 2.4.7 w/mod_ssl I'm trying to install a (single) domain certificate. For some reason, apache does not accept it and refuses to start if the related website is enabled. Despite ...
0
votes
0answers
14 views

Easily create local SSL certificates with multiple subject names for local testing

I want to systematically create SSL certificates for local testing of websites. The certificates should support multiple subjectAltNames. I then want to sign the certificates using a local CA and ...
0
votes
0answers
70 views

OpenVPN: SSL3_GET_SERVER_CERTIFICATE:certificate verify failed

Im trying to use vpn to connect two internal networks using virtual machines. I have a virtual machine "gateway" and a virtual machine "client", and I want to connect to my gateway from client using ...
0
votes
0answers
37 views

Openssl is not installing

I am trying to install Openssl in my Ubuntu 64bit os which is running in Virtual Box, But i am keep getting the following error. root@Ubuntu64Bit:~# sudo apt-get install openssl Reading package ...
0
votes
0answers
99 views

On connecting to MySQL via SSL getting ERROR 2026 (HY000): SSL connection error: protocol version mismatch

I am working with MySQL and generated the certificates to use with MySQL to enable SSL. Here are SSL configs: mysql> show variables like '%ssl%'; +---------------+----------------------------+ | ...
0
votes
0answers
219 views

OpenVPN TLS Error

I've tried to install and setup OpenVPN on my Ubuntu Server 14.04 and after generating the certificates and connecting i get the following error: Sat Oct 25 10:53:13 2014 us=916595 192.168.1.1:54081 ...
0
votes
0answers
109 views

Installation problem in libosip2-3deb package

I am working on open IMS core, for that I need to install SIP on client systems. I wanted to install this uctimsclient, but I am facing issues with installing dependency packages given below: ...
0
votes
0answers
1k views

OpenSSL: bad magic number

I want to decrypt a file, I run: openssl enc -d -aes128 -in encrypted.txt -out decrypted.txt It asked me this: enter aes-128-cbc decryption password: Whatever I type, I get this: bad magic ...
0
votes
0answers
124 views

Using pkg-config to build OpenVPN

I want to build OpenVPN 2.3.4 on Ubuntu 14.04. Therefore I downloaded and built the required libraries (lzo, openssl). I installed them in /opt. How do I ./configure OpenVPN with pkg-config to use the ...